CREATE TABLE `tasks` (
  `md5` varchar(32) NOT NULL,
  `status` tinyint(3) unsigned NOT NULL,
  `timestamp` int(10) unsigned NOT NULL,
  PRIMARY KEY (`md5`),
  UNIQUE KEY `md5` (`md5`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `emails` (
  `md5` varchar(32) NOT NULL,
  `email` varchar(255) NOT NULL,
  `data` json NOT NULL,
  `status` tinyint(3) unsigned NOT NULL,
  `timestamp` int(10) unsigned NOT NULL,
  PRIMARY KEY (`md5`),
  UNIQUE KEY `md5` (`md5`),
  UNIQUE KEY `email` (`email`),
  CONSTRAINT `key1` FOREIGN KEY (`md5`) REFERENCES `tasks` (`md5`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `mails` (
  `md5` varchar(32) NOT NULL,
  `email` varchar(255) NOT NULL,
  `data` json NOT NULL,
  `timestamp` int(10) unsigned NOT NULL,
  PRIMARY KEY (`md5`),
  UNIQUE KEY `md5` (`md5`),
  KEY `email` (`email`),
  CONSTRAINT `key2` FOREIGN KEY (`email`) REFERENCES `emails` (`email`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;